org.eclipse.microprofile.graphql.tck.dynamic

## Class DeployableUnit

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.dynamic.DeployableUnit

    public class DeployableUnit
    extends Object

Helper to create the deployable unit to test against

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Method Summary

All Methods Static Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `getDeployment(String unitName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDeployment

    public static org.jboss.shrinkwrap.api.Archive<?> getDeployment(String unitName)
                                                             throws Exception

Throws:
  `Exception`